Last Comment Bug 701762 - DOMTemplate fails when ${foo} returns undefined
: DOMTemplate fails when ${foo} returns undefined
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: Firefox 11
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on: 700616
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 09:55 PST by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-11-21 06:44 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (865 bytes, patch)
2011-11-17 06:43 PST, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-11 09:55:52 PST
Templater.prototype._handleAsync = function(thing, siblingNode, inserter) {
  if (thing != null && typeof thing.then === 'function') {
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-17 06:43:54 PST
Created attachment 575172 [details] [diff] [review]
upload 1

Should be automatic: https://github.com/mozilla/gcli/pull/48#commitcomment-723058
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-17 15:58:24 PST
https://tbpl.mozilla.org/?tree=Try&rev=47353dce1691
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-19 08:53:53 PST
https://hg.mozilla.org/integration/fx-team/rev/80c73e6f5a33
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-21 06:44:16 PST
https://hg.mozilla.org/mozilla-central/rev/80c73e6f5a33

Note You need to log in before you can comment on or make changes to this bug.